aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.GetBucketVersioning

Synopsis

- data GetBucketVersioning = GetBucketVersioning {
  - gbvBucket :: Bucket
  }
- getBucketVersioning :: Bucket -> GetBucketVersioning
- data GetBucketVersioningResponse = GetBucketVersioningResponse {
  - gbvVersioning :: Maybe VersioningState
  }
- data VersioningState
  - = VersioningSuspended
  - | VersioningEnabled

# Documentation

data GetBucketVersioning #

Gets the versioning state of an existing bucket.

Constructors

GetBucketVersioning |

Fields

- gbvBucket :: Bucket

#### Instances

Instances details

SignQuery GetBucketVersioning # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.GetBucketVersioning

Associated Types

type ServiceConfiguration GetBucketVersioning |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type ServiceConfiguration GetBucketVersioning = S3Configuration

Methods

signQuery :: GetBucketVersioning -> ServiceConfiguration GetBucketVersioning queryType -> SignatureData -> SignedQuery #

Show GetBucketVersioning # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning Methods showsPrec :: Int -> GetBucketVersioning -> ShowS # show :: GetBucketVersioning -> String # showList :: [GetBucketVersioning] -> ShowS #
Transaction GetBucketVersioning GetBucketVersioningResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning
type ServiceConfiguration GetBucketVersioning # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type ServiceConfiguration GetBucketVersioning = S3Configuration

getBucketVersioning :: Bucket -> GetBucketVersioning #

data GetBucketVersioningResponse #

Constructors

GetBucketVersioningResponse | Nothing when the bucket is not versioned

Fields

- gbvVersioning :: Maybe VersioningState

#### Instances

Instances details

AsMemoryResponse GetBucketVersioningResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucketVersioning

Associated Types

type MemoryResponse GetBucketVersioningResponse |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type MemoryResponse GetBucketVersioningResponse = GetBucketVersioningResponse

Methods

loadToMemory :: GetBucketVersioningResponse -> ResourceT IO (MemoryResponse GetBucketVersioningResponse) #

Show GetBucketVersioningResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning Methods showsPrec :: Int -> GetBucketVersioningResponse -> ShowS # show :: GetBucketVersioningResponse -> String # showList :: [GetBucketVersioningResponse] -> ShowS #
ResponseConsumer r GetBucketVersioningResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucketVersioning

Associated Types

type ResponseMetadata GetBucketVersioningResponse |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type ResponseMetadata GetBucketVersioningResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetBucketVersioningResponse) -> HTTPResponseConsumer GetBucketVersioningResponse #

Transaction GetBucketVersioning GetBucketVersioningResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning
type MemoryResponse GetBucketVersioningResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type MemoryResponse GetBucketVersioningResponse = GetBucketVersioningResponse
type ResponseMetadata GetBucketVersioningResponse # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type ResponseMetadata GetBucketVersioningResponse = S3Metadata

data VersioningState #

Constructors

VersioningSuspended |
VersioningEnabled |

#### Instances

Instances details

Show VersioningState # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning Methods showsPrec :: Int -> VersioningState -> ShowS # show :: VersioningState -> String # showList :: [VersioningState] -> ShowS #